Subject: Re: predefined_procedures

From: Jan Wielemaker <[email-masked]>
Date: Thu, 7 Sep 2000 11:46:24 +0200

> SWI-prolog do not allow me to use functor names used by the system as
> predifined static procedures.
> Is there is away to tell the system to switch off this control and use my
> defined procedures instead of the system's predifined ones?

Yip. See redefine_system_predicate/1. Redefinition in the module user 
affects all modules. Note however that some things are handled by the
compiler and redefinition thus has no effect.  These are the control
primitives (,/2, ;/2, ->/2, etc.), true/0, fail/0, arithmetic (is/2,
>/2, etc).  See also goal_expansion/2.

	Regards --- Jan